<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="print" schema="print-sheets" id="sheets-per-user-per-period">

 <lire:title>Sheets per User per Period Print Report</lire:title>
 <lire:description>
  <para>This report shows the number of sheets printed by each user spliced
  out into periods.</para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="period" type="duration" default="1d">
   <lire:description>
    <para>This parameter controls the time period over which the
     sheets are aggregated.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Sheets Per User Per Period</lire:title>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:timegroup period="$period" label="Period">

   <lire:group sort="-sheets_total">
    <lire:field name="user"/>

    <lire:sum name="sheets_total" field="num_sheets" label="Sheets"/>
    <lire:sum name="sheets_ratio" field="num_sheets" ratio="table"
     label="% Total"/> 
    <lire:sum name="sheets_group_ratio"
     field="num_sheets" ratio="group" label="% Group"/>
   </lire:group>
  </lire:timegroup>
 </lire:report-calc-spec>

</lire:report-spec>

